﻿<ui:AppliUserControl
    xmlns:ui="clr-namespace:Appli.Model.Class.UI"
    x:Class="Appli.Views.Configurations"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:materialdesign="clr-namespace:MaterialDesignThemes.Wpf;assembly=MaterialDesignThemes.Wpf"
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             mc:Ignorable="d" 
             d:DesignHeight="300" d:DesignWidth="300"
             DataContext="{Binding RelativeSource={RelativeSource Self}}">
    <DockPanel>
        <DockPanel DockPanel.Dock="Top" Margin="20 0 20 10">
            <Label DockPanel.Dock="Top" HorizontalAlignment="Center" Margin="0,0,0,20" FontSize="30">Configuration de l'entrepôt</Label>
            <Grid DockPanel.Dock="Top">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="*"/>
                </Grid.ColumnDefinitions>
                <ComboBox Grid.Column="0" x:Name="ComboDepositories" SelectionChanged="Combo_SelectionChanged" materialdesign:HintAssist.Hint="Dépôts" Margin="20" ItemsSource="{Binding Depositories}" SelectedIndex="0" Style="{DynamicResource MaterialDesignFloatingHintComboBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" DisplayMemberPath="Name"/>
                <ComboBox Grid.Column="1" x:Name="ComboStores" SelectionChanged="Combo_SelectionChanged" materialdesign:HintAssist.Hint="Magasins" Margin="20" ItemsSource="{Binding StoresOfDepository}" SelectedIndex="0" Style="{DynamicResource MaterialDesignFloatingHintComboBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" DisplayMemberPath="Name"/>
                <ComboBox Grid.Column="2" x:Name="ComboPaths" SelectionChanged="Combo_SelectionChanged" materialdesign:HintAssist.Hint="Allées" Margin="20" ItemsSource="{Binding PathsOfStore}" SelectedIndex="0" Style="{DynamicResource MaterialDesignFloatingHintComboBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" DisplayMemberPath="Name"/>
                <ComboBox Grid.Column="3" x:Name="ComboRows" SelectionChanged="Combo_SelectionChanged" materialdesign:HintAssist.Hint="Rangs" Margin="20" ItemsSource="{Binding RowsOfPath}" SelectedIndex="0" Style="{DynamicResource MaterialDesignFloatingHintComboBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" DisplayMemberPath="Name"/>
                <ComboBox Grid.Column="4" x:Name="ComboPositions" SelectionChanged="Combo_SelectionChanged" materialdesign:HintAssist.Hint="Positions" Margin="20" ItemsSource="{Binding PositionsOfRow}" SelectedIndex="0" Style="{DynamicResource MaterialDesignFloatingHintComboBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" DisplayMemberPath="Name"/>
            </Grid>
            <TabControl x:Name="TabControlSettings" MaxHeight="850" DockPanel.Dock="Bottom" Background="Transparent">
                <TabControl.Resources>
                    <Style TargetType="TabItem">
                        <Setter Property="Template">
                            <Setter.Value>
                                <ControlTemplate TargetType="TabItem">
                                    <Grid Name="Panel">
                                        <ContentPresenter x:Name="ContentSite"
                                                          VerticalAlignment="Center"
                                                          HorizontalAlignment="Center"
                                                          ContentSource="Header"
                                                          Margin="10,2"/>
                                    </Grid>
                                    <ControlTemplate.Triggers>
                                        <Trigger Property="IsSelected" Value="True">
                                            <Setter TargetName="Panel" Property="Background" Value="{DynamicResource PrimaryHueLightBrush}" />
                                        </Trigger>
                                        <Trigger Property="IsSelected" Value="False">
                                            <Setter TargetName="Panel" Property="Background" Value="{DynamicResource PrimaryHueMidBrush}" />
                                        </Trigger>
                                    </ControlTemplate.Triggers>
                                </ControlTemplate>
                            </Setter.Value>
                        </Setter>
                    </Style>
                </TabControl.Resources>
                <TabItem>
                    <TabItem.Header>
                        <Label HorizontalAlignment="Center" FontWeight="Bold">Dépôts</Label>
                    </TabItem.Header>
                    <StackPanel Orientation="Vertical">
                        <DataGrid x:Name="DepositoryGrid"
                                  AlternatingRowBackground="#404040"
                                  Margin="10"
                                  BorderThickness="1"
                                  IsReadOnly="True"
                                  HorizontalAlignment="Stretch"
                                  VerticalAlignment="Stretch"
                                  AutoGenerateColumns="False"
                                  CanUserAddRows="False"
                                  CanUserDeleteRows="False"
                                  ItemsSource="{Binding Depositories}"
                                  SelectionMode="Single">
                            <DataGrid.RowStyle>
                                <Style TargetType="DataGridRow">
                                    <Setter Property="Background" Value="{DynamicResource MaterialDesignPaper}"/>
                                    <EventSetter Event="MouseDoubleClick" Handler="DepositoryGridRow_MouseDoubleClick"/>
                                </Style>
                            </DataGrid.RowStyle>
                            <DataGrid.Columns>
                                <DataGridTextColumn Binding="{Binding Name}" Header="Nom" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Address}" Header="Adresse" CanUserResize="False" IsReadOnly="True"  Width="*"/>
                                <DataGridTextColumn Binding="{Binding Postcode}" Header="Code postal" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding City}" Header="Ville" CanUserResize="False" IsReadOnly="True" Width="*"/>
                            </DataGrid.Columns>
                        </DataGrid>
                    </StackPanel>

                </TabItem>
                <TabItem Background="{DynamicResource PrimaryHueMidBrush}">
                    <TabItem.Header>
                        <Label HorizontalAlignment="Center"  FontWeight="Bold">Magasin</Label>
                    </TabItem.Header>
                    <StackPanel Orientation="Vertical">
                        <DataGrid x:Name="StoreGrid"
                                  AlternatingRowBackground="#404040"
                                  Margin="10"
                                  BorderThickness="1"
                                  IsReadOnly="True"
                                  HorizontalAlignment="Stretch"
                                  VerticalAlignment="Stretch"
                                  AutoGenerateColumns="False"
                                  CanUserAddRows="False"
                                  CanUserDeleteRows="False"
                                  ItemsSource="{Binding StoresOfDepository}"
                                  SelectionMode="Single">
                            <DataGrid.RowStyle>
                                <Style TargetType="DataGridRow">
                                    <Setter Property="Background" Value="{DynamicResource MaterialDesignPaper}"/>
                                    <EventSetter Event="MouseDoubleClick" Handler="StoreGridRow_MouseDoubleClick"/>
                                </Style>
                            </DataGrid.RowStyle>
                            <DataGrid.Columns>
                                <DataGridTextColumn Binding="{Binding Name, Mode=OneWay}" Header="Nom" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Depository.Name, Mode=OneWay}" Header="Dépôt" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Width, Mode=OneWay}" Header="Largeur" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Lenght, Mode=OneWay}" Header="Longueur" CanUserResize="False" IsReadOnly="True" Width="*"/>
                            </DataGrid.Columns>
                        </DataGrid>
                    </StackPanel>
                </TabItem>

                <TabItem Background="{DynamicResource PrimaryHueMidBrush}">
                    <TabItem.Header>
                        <Label HorizontalAlignment="Center" FontWeight="Bold" >Allée</Label>
                    </TabItem.Header>
                    <StackPanel Orientation="Vertical">
                        <DataGrid x:Name="PathGrid"
                                  AlternatingRowBackground="#404040"
                                  Margin="10"
                                  BorderThickness="1"
                                  IsReadOnly="True"
                                  HorizontalAlignment="Stretch"
                                  VerticalAlignment="Stretch"
                                  AutoGenerateColumns="False"
                                  CanUserAddRows="False"
                                  CanUserDeleteRows="False"
                                  ItemsSource="{Binding PathsOfStore}"
                                  SelectionMode="Single">
                            <DataGrid.RowStyle>
                                <Style TargetType="DataGridRow">
                                    <Setter Property="Background" Value="{DynamicResource MaterialDesignPaper}"/>
                                    <EventSetter Event="MouseDoubleClick" Handler="PathGridRow_MouseDoubleClick"/>
                                </Style>
                            </DataGrid.RowStyle>
                            <DataGrid.Columns>
                                <DataGridTextColumn Binding="{Binding Name, Mode=OneWay}" Header="Nom" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Store.Name, Mode=OneWay}" Header="Magasin" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Lenght, Mode=OneWay}" Header="Longueur" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding PathWidth, Mode=OneWay}" Header="Largeur de l'allée" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding StorageWidth, Mode=OneWay}" Header="Largeur de stockage" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridCheckBoxColumn Binding="{Binding StorageWidth, Mode=OneWay}" Header="Unilatéral" CanUserResize="False" IsReadOnly="True" Width="*"/>
                            </DataGrid.Columns>
                        </DataGrid>
                    </StackPanel>
                </TabItem>
                <TabItem Background="{DynamicResource PrimaryHueMidBrush}">
                    <TabItem.Header>
                        <Label HorizontalAlignment="Center" FontWeight="Bold" >Rang</Label>
                    </TabItem.Header>
                    <StackPanel Orientation="Vertical">
                        <DataGrid x:Name="RowsGrid"
                                  AlternatingRowBackground="#404040"
                                  Margin="10"
                                  BorderThickness="1"
                                  IsReadOnly="True"
                                  HorizontalAlignment="Stretch"
                                  VerticalAlignment="Stretch"
                                  AutoGenerateColumns="False"
                                  CanUserAddRows="False"
                                  CanUserDeleteRows="False"
                                  ItemsSource="{Binding RowsOfPath}"
                                  SelectionMode="Single">
                            <DataGrid.RowStyle>
                                <Style TargetType="DataGridRow">
                                    <Setter Property="Background" Value="{DynamicResource MaterialDesignPaper}"/>
                                    <EventSetter Event="MouseDoubleClick" Handler="RowGridRow_MouseDoubleClick"/>
                                </Style>
                            </DataGrid.RowStyle>
                            <DataGrid.Columns>
                                <DataGridTextColumn Binding="{Binding Name, Mode=OneWay}" Header="Nom" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Path.Name, Mode=OneWay}" Header="Allée" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Width, Mode=OneWay}" Header="Largeur" CanUserResize="False" IsReadOnly="True" Width="*"/>
                            </DataGrid.Columns>
                        </DataGrid>
                    </StackPanel>
                </TabItem>
                <TabItem Background="{DynamicResource PrimaryHueMidBrush}">
                    <TabItem.Header>
                        <Label HorizontalAlignment="Center" FontWeight="Bold" >Position</Label>
                    </TabItem.Header>
                    <StackPanel Orientation="Vertical">
                        <DataGrid x:Name="PositionsGrid"
                                  AlternatingRowBackground="#404040"
                                  Margin="10"
                                  BorderThickness="1"
                                  IsReadOnly="True"
                                  HorizontalAlignment="Stretch"
                                  VerticalAlignment="Stretch"
                                  AutoGenerateColumns="False"
                                  CanUserAddRows="False"
                                  CanUserDeleteRows="False"
                                  ItemsSource="{Binding PositionsOfRow}"
                                  SelectionMode="Single">
                            <DataGrid.RowStyle>
                                <Style TargetType="DataGridRow">
                                    <Setter Property="Background" Value="{DynamicResource MaterialDesignPaper}"/>
                                    <EventSetter Event="MouseDoubleClick" Handler="PositionGridRow_MouseDoubleClick"/>
                                </Style>
                            </DataGrid.RowStyle>
                            <DataGrid.Columns>
                                <DataGridTextColumn Binding="{Binding Name, Mode=OneWay}" Header="Nom" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Row.Name, Mode=OneWay}" Header="Rang" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding SupportType.Name, Mode=OneWay}" Header="Type de support" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Barcode, Mode=OneWay}" Header="Code barre" CanUserResize="False" IsReadOnly="True" Width="*"/>
                            </DataGrid.Columns>
                        </DataGrid>
                    </StackPanel>
                </TabItem>
                <TabItem Background="{DynamicResource PrimaryHueMidBrush}">
                    <TabItem.Header>
                        <Label HorizontalAlignment="Center" FontWeight="Bold" >Etage</Label>
                    </TabItem.Header>
                    <StackPanel Orientation="Vertical">
                        <DataGrid x:Name="FloorsGrid"
                                  AlternatingRowBackground="#404040"
                                  Margin="10"
                                  BorderThickness="1"
                                  IsReadOnly="True"
                                  HorizontalAlignment="Stretch"
                                  VerticalAlignment="Stretch"
                                  AutoGenerateColumns="False"
                                  CanUserAddRows="False"
                                  CanUserDeleteRows="False"
                                  ItemsSource="{Binding FloorsOfPosition}"
                                  SelectionMode="Single">
                            <DataGrid.RowStyle>
                                <Style TargetType="DataGridRow">
                                    <Setter Property="Background" Value="{DynamicResource MaterialDesignPaper}"/>
                                    <EventSetter Event="MouseDoubleClick" Handler="FloorGridRow_MouseDoubleClick"/>
                                </Style>
                            </DataGrid.RowStyle>
                            <DataGrid.Columns>
                                <DataGridTextColumn Binding="{Binding Value, Mode=OneWay}" Header="Etage" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Position.Name, Mode=OneWay}" Header="Position" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding AddressType, Mode=OneWay}" Header="Type d'adresse" CanUserResize="False" IsReadOnly="True" Width="*"/>
                            </DataGrid.Columns>
                        </DataGrid>
                    </StackPanel>
                </TabItem>
                <TabItem Background="{DynamicResource PrimaryHueMidBrush}">
                    <TabItem.Header>
                        <Label HorizontalAlignment="Center" FontWeight="Bold">Type de support</Label>
                    </TabItem.Header>
                    <StackPanel Orientation="Vertical">
                        <Button x:Name="BtnCreateSupportType" Click="BtnCreateSupportType_Click" Margin="30 10">Créer un nouveau type de support</Button>
                        <DataGrid x:Name="SupportTypesGrid"
                                  AlternatingRowBackground="#404040"
                                  Margin="10 0 10 10"
                                  BorderThickness="1"
                                  IsReadOnly="True"
                                  HorizontalAlignment="Stretch"
                                  VerticalAlignment="Stretch"
                                  AutoGenerateColumns="False"
                                  CanUserAddRows="False"
                                  CanUserDeleteRows="False"
                                  ItemsSource="{Binding SupportTypes}"
                                  SelectionMode="Single">
                            <DataGrid.RowStyle>
                                <Style TargetType="DataGridRow">
                                    <Setter Property="Background" Value="{DynamicResource MaterialDesignPaper}"/>
                                    <EventSetter Event="MouseDoubleClick" Handler="SupportTypeGridRow_MouseDoubleClick"/>
                                </Style>
                            </DataGrid.RowStyle>
                            <DataGrid.Columns>
                                <DataGridTextColumn Binding="{Binding Name, Mode=OneWay}" Header="Name" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Width, Mode=OneWay}" Header="Largeur" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Length, Mode=OneWay}" Header="Longeur" CanUserResize="False" IsReadOnly="True" Width="*"/>
                                <DataGridTextColumn Binding="{Binding Height, Mode=OneWay}" Header="Hauteur" CanUserResize="False" IsReadOnly="True" Width="*"/>
                            </DataGrid.Columns>
                        </DataGrid>
                    </StackPanel>
                </TabItem>
            </TabControl>
        </DockPanel>
        <materialDesign:Snackbar
            DockPanel.Dock="Bottom"
            Background="LawnGreen"
            MessageQueue="{materialDesign:MessageQueue}"
            x:Name="SnackbarValidation"  />
    </DockPanel>


</ui:AppliUserControl>
